name: staff_availability
description: Staff Availability Feature
version: 0.0.1
publish_to: 'none'
resolution: workspace

environment:
  sdk: '^3.10.7'
  flutter: ">=1.17.0"

dependencies:
  flutter:
    sdk: flutter
  flutter_bloc: ^8.1.3
  equatable: ^2.0.5
  intl: ^0.20.0
  lucide_icons: ^0.257.0
  flutter_modular: ^6.3.2
  
  # Internal packages
  core_localization:
    path: ../../../core_localization
  design_system:
    path: ../../../design_system
  krow_domain:
    path: ../../../domain
  krow_data_connect:
    path: ../../../data_connect
  krow_core:
    path: ../../../core
  firebase_data_connect: ^0.2.2+2
  firebase_auth: ^6.1.4

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^6.0.0
